# $Revision: 1.54 $, $Date: 2009/08/21 12:19:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Simple
Summary:	Test::Simple - basic utilities for writing tests
Summary(pl.UTF-8):	Test::Simple - podstawowe narzędzia do pisania testów
Name:		perl-Test-Simple
Version:	0.92
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eaafa92c9a21c4290dd9d0752bb744b0
URL:		http://search.cpan.org/dist/Test-Simple/
%{?with_tests:BuildRequires:	perl-Test-Harness >= 2.03}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl-Test-Builder-Tester = 1.07
Obsoletes:	perl-Test-Builder-Tester = 0:1.01
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(threads)' 'perl(threads::shared)'

%description
AHHHHHHH!!!! NOT TESTING! Anything but testing! Beat me, whip me, send
me to Detroit, but don't make me write tests!
   -- perldoc Test::Tutorial

Test::Simple is an extremely simple, extremely basic module for
writing tests suitable for CPAN modules and other pursuits. If you
wish to do more complicated testing, use the Test::More module (a
drop-in replacement for this one).

The purpose of Test::More is to provide a wide range of testing
utilities. Various ways to say "ok" with better diagnostics,
facilities to skip tests, test future features and compare complicated
data structures. While you can do almost anything with a simple "ok()"
function, it doesn't provide good diagnostic output.

%description -l pl.UTF-8
AAAAAAAA!!! NIE TESTOWANIE! Wszystko tylko nie testowanie! Bijcie
mnie, biczujcie mnie, wyślijcie do Detroit, ale nie każcie pisać
testów!
   -- perldoc Test::Tutorial

Test::Simple jest bardzo prostym, bardzo podstawowym modułem do
pisania testów pasujących do modułów CPAN i innych. Do bardziej
skomplikowanych testów lepiej używać modułu Test::More (zastępującego
ten).

Celem Test::More jest dostarczenie szerokiego zakresu narzędzi do
testowania. Różne sposoby powiedzenia "ok" z lepszą diagnostyką,
ułatwienia przy pomijaniu testów, testowaniu przyszłych możliwości i
porównywaniu skomplikowanych struktur danych. O ile można zrobić
prawie wszystko prostą funkcją "ok()", nie daje ona dobrego wyjścia
diagnostycznego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
rm -f t/00signature.t
%{__perl} -nli -e 'print unless /^\s+sleep\s+\d+;\s*/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Test/Tutorial.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Builder
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Simple.spec,v $
Revision 1.54  2009/08/21 12:19:01  amateja
- updated to 0.92

Revision 1.53  2009/06/16 07:13:01  amateja
- updated to 0.88

Revision 1.52  2008/12/12 10:56:39  radek
- version 0.86

Revision 1.51  2008/05/11 11:09:32  hawk
- updated to 0.80

Revision 1.50  2007-12-30 23:22:32  zbyniu
- up to 0.74

Revision 1.49  2007-03-27 09:33:33  radek
- version 0.70

Revision 1.48  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.46  2006/12/22 01:06:55  qboosh
- updated to 0.66

Revision 1.45  2006/08/24 00:46:53  radek
- no point in requiring perl(threads) in noarch modules

Revision 1.44  2006/08/22 16:29:04  glen
- check-files cleanup, adapterized

Revision 1.43  2006/08/15 14:35:51  radek
- O: perl-Test-Builder-Tester = 1.01

Revision 1.42  2006/08/15 14:33:13  radek
- release 1, Provides: perl-Test-Builder-Tester

Revision 1.41  2006/08/14 21:39:20  agaran
- up to 0.64, rel 0.1, builds here,

Revision 1.40  2005/11/26 10:12:56  charles
- updated to 0.62

Revision 1.39  2005/06/14 07:12:36  petec
- up to 0.60

Revision 1.38  2005/05/08 19:55:58  pluto
- release 2 for Th.

Revision 1.37  2004/12/27 16:41:29  adamg
- updated to 0.54

Revision 1.36  2004/12/03 14:37:47  radek
- autoupdated to 0.53

Revision 1.35  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.34  2004/11/26 13:13:52  radek
- version 0.51

Revision 1.33  2004/11/20 22:42:31  qboosh
- new pl desc, standard URL

Revision 1.32  2004/11/20 22:23:40  radek
- version 0.50, informative summary, better description

Revision 1.31  2004/11/03 22:30:48  paladine
- formatting

Revision 1.30  2004/10/17 22:08:29  adamg
- updated to 0.49

Revision 1.29  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.28  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.27  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.26  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.25  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.24  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.23  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.22  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.21  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.20  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.16  2003/03/01 21:34:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.14  2002/09/28 23:22:14  ankry
- added tests
- version 0.47, rel. 1

Revision 1.13  2002/07/22 23:54:49  radek
- version 0.46

Revision 1.12  2002/07/19 21:15:02  ankry
- translations, cleaning
- %%{perl_sitelib}/Test moved back to perl
- release 3

Revision 1.11  2002/07/13 15:40:19  qboosh
- added _noautoreq needed with rpm 4.0.2 and perl without threads

Revision 1.10  2002/07/12 22:39:15  ankry
- BR: perl(Test::Harness) >= 2.03
- release 2

Revision 1.9  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 08:04:37  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:58:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/03/23 15:39:14  kloczek
- release 5.

Revision 1.5  2002/03/20 09:51:12  qboosh
- added descriptions, release 4

Revision 1.4  2002/03/03 20:45:01  marcus
- rel.3.

Revision 1.3  2002/02/25 10:34:42  depesz
cleanup; revision++

Revision 1.2  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/21 15:51:39  zagrodzki
- initial release, no description yet
